QwtVectorFieldData(3)

NAME
QwtVectorFieldData - Interface for iterating over an array of vector field samples.

SYNOPSIS

#include <qwt_series_data.h>

Inherits QwtArraySeriesData< QwtVectorFieldSample >.

  Public Member Functions
QwtVectorFieldData (const QVector< QwtVectorFieldSample > &=QVector< QwtVectorFieldSample >())
virtual QRectF boundingRect () const override
Calculate the bounding rectangle.

  Additional Inherited Members

Detailed Description

Interface for iterating over an array of vector field samples.

Definition at line 249 of file qwt_series_data.h.

Constructor & Destructor Documentation

  QwtVectorFieldData::QwtVectorFieldData (const QVector< QwtVectorFieldSample > & samples = QVector< QwtVectorFieldSample >( ))
Constructor

Parameters
    samples Samples

Definition at line 327 of file qwt_series_data.cpp.

Member Function Documentation

  QRectF QwtVectorFieldData::boundingRect () const [override], [virtual]

Calculate the bounding rectangle. The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
    Bounding rectangle

Implements QwtSeriesData< T >.

Definition at line 341 of file qwt_series_data.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.